require 'active_support/all'
require 'loquor'

require 'ordino_sdk/version'
require 'ordino_sdk/configuration'
require 'ordino_sdk/mocker'

require 'ordino_sdk/helpers'
require 'ordino_sdk/resource'
require 'ordino_sdk/email_shortcodes'

module OrdinoSDK
  def self.config
    @config ||= Configuration.new
    if block_given?
      yield @config
    else
      @config
    end
  end

  def self.mock!
    OrdinoSDK::Mocker.mock!
  end
end
