module OrdinoSDK
  class DropboxFile < Resource
    self.path = "/dropbox_files"

    def entries
      Entry.where(resource_type: "DropboxFile", resource_id: self.id)
    end

  end

  class DropboxFileMock < DropboxFile
    extend Loquor::ResourceMock

    self.attributes = {
      id: 1,
      created_by_id: 1,
      path: '/path',
      signed_url: 'http://footube.example.com/foo/bar',
      title: 'Foo Bar Baz'
    }
  end
end
