module OrdinoSDK
  class Entry < Resource
    self.path = "/entries"

    def user
      @user ||= User.find(user_id)
    end

    def resource
      @resource ||= sdk_class_for(resource_type).find(resource_id)
    end
  end

  class EntryMock < Entry
    extend Loquor::ResourceMock

    self.attributes = {
      id: 50,
      user_id: 30660,
      resource_type: "WebPage",
      resource_id: 17,
      binder_id: 11,
      order_value: 100
    }
  end
end
